@import url(style/variables.css);

.key-hole-icon {
    position: fixed;
    bottom: 50px;
    left: 20px;
    max-width: 50px;
    height: auto;
    z-index: 10;
    border-radius: 50%;
    cursor: pointer;
    border-style: none;
}

.chat-toggle {
    display: none;
}

.chat-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    transition: opacity 0.3s ease;
}

.chat-toggle:checked + .key-hole-icon + .chat-overlay {
    display: flex;
}

.chat-container {
    background-color: var(--primary-colour);
    width: 90%;
    max-width: 400px;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    text-align: center;
}

.chat-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 18px;
    border-bottom: 1px solid var(--primary-colour);
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.close-btn {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    color: var(--secoundary-colour);
}

.chat-content {
    text-align: left;
}

.chat-content p {
    margin-bottom: 10px;
    font-size: 14px;
    color: var(--secoundary-colour);
}

textarea {
    width: 100%;
    border: 1px solid var(--primary-colour);
    border-radius: 5px;
    padding: 10px;
    resize: none;
    font-size: 14px;
}

.send-btn {
    width: 100%;
    background-color: var(--primary-blue-color);
    color: var(--primary-colour);
    border: none;
    border-radius: 5px;
    padding: 10px;
    font-size: 16px;
    cursor: pointer;
    margin-top: 10px;
    transition: background-color 0.3s ease;
}

.key-hole-icon:hover {
    box-shadow: var(--green-box-shadow);
}

.send-btn:hover {
    background-color: #0056b3;
}